WordPress.org

Support

Support » Plugins and Hacks » MailChimp Widget » [Resolved] [Plugin: MailChimp Widget] open_basedir restriction in effect

[Resolved] [Plugin: MailChimp Widget] open_basedir restriction in effect

  • Hey there,

    thanks for this lightweight plugin!

    I’ve got a problem with it though :/

    I seem to get an open_basedir error upon Signing up.

    [error] … FastCGI … “PHP Warning: spl_autoload(): open_basedir restriction in effect. File(oauthexception.class.php) is not within the allowed path(s): (/var/www/:/tmp/:/HIDDEN/:/usr/share/php:/usr/share/pear/) in /var/www/HIDDEN/htdocs/wp-content/plugins/mailchimp-widget/mailchimp-widget.php on line 40

    I gave the mailchimp-widget.php script executable permisson but it still doesn’t work. It seems “(oauthexception.class.php)” without a directory definition is the problem?

    I hope somebody can help.

    Merry xmas!

    http://wordpress.org/extend/plugins/mailchimp-widget/

Viewing 3 replies - 1 through 3 (of 3 total)
  • Sorry, saw there was another thread for it but there it was mainly a hack and not a clean solution.

    Plugin Author jameslafferty

    @jameslafferty

    What other plugins are you using? It sounds like a conflict with another plugin (that’s generally been the culprit when I’ve seen autoloading issues in the past).

    I think the error came from the twittertools plugin that wasn’t able to connect. Just weird that the errorlog says mailchimp-widget.

    Thanks for your help anyway!

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘[Resolved] [Plugin: MailChimp Widget] open_basedir restriction in effect’ is closed to new replies.
Skip to toolbar